Bug 111024 - Commit 69f9fbab8a92a2bb797723f28fe8dad5cd8c8a64 breaks building mesa on Arch Linux.
Summary: Commit 69f9fbab8a92a2bb797723f28fe8dad5cd8c8a64 breaks building mesa on Arch ...
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Other (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-29 15:50 UTC by Haxk20
Modified: 2019-07-01 13:51 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
rebased patch (728 bytes, patch)
2019-06-30 13:35 UTC, LoneVVolf
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Haxk20 2019-06-29 15:50:59 UTC
I just noticed this after doing my daily mesa update. It failed.
Here is the build log https://pastebin.com/4uDaiWNd
Comment 1 Laurent carlier 2019-06-29 15:56:04 UTC
See https://gitlab.freedesktop.org/mesa/mesa/merge_requests/1202
Comment 2 LoneVVolf 2019-06-30 13:34:12 UTC
src/gallium/targets/opencl/meson.build was changed in mesa master after the MR was created.

I've attached the version I created for archlinux aur mesa-git based on the MR.
Comment 3 LoneVVolf 2019-06-30 13:35:28 UTC
Created attachment 144686 [details] [review]
rebased patch
Comment 4 Michel Dänzer 2019-07-01 13:51:42 UTC
FWIW, this was triggered by clang SVN r364424, not directly related to that Mesa commit. Anyway, fixed now with:

https://gitlab.freedesktop.org/mesa/mesa/commit/3fd21a6b776e0f874e0e14d9943ac2b06bcc4aad


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.